CUTLASS: cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::Detail Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::Detail Struct Reference

`#include <output_tile_thread_map.h>`

## Static Public Attributes
static int const | kShapeRow = Shape::kRow / WarpsRemaining
static int const | kShapeWidth = Shape::kColumn / kElementsPerAccess
static int const | kTargetMemoryAccessWidth
static int const | kTargetAccessRows = kWarpSize / kTargetMemoryAccessWidth

## Member Data Documentation

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::Detail::kShapeRow = Shape::kRow / WarpsRemaining
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::Detail::kShapeWidth = Shape::kColumn / kElementsPerAccess
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::Detail::kTargetAccessRows = kWarpSize / kTargetMemoryAccessWidth
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::Detail::kTargetMemoryAccessWidth
| static

Initial value:
=
kMemoryAccessSize / (kElementsPerAccess * kElementSize / 8)

The documentation for this struct was generated from the following file:

- output_tile_thread_map.h